Uploaded image for project: 'Puppet Agent'
  1. Puppet Agent
  2. PA-803

Enable package pinning in Debian 9 p-a release package

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Normal
    • Resolution: Won't Do
    • Affects Version/s: None
    • Fix Version/s: puppet-agent 5.0.0
    • Component/s: None
    • Labels:
      None
    • Template:
    • Acceptance Criteria:
      Hide

      Verify that on a Debian 9 system with the distro's puppet-agent package installed, that we can install our repo package and end up with our AIO puppet-agent package version via an apt upgrade.

      Show
      Verify that on a Debian 9 system with the distro's puppet-agent package installed, that we can install our repo package and end up with our AIO puppet-agent package version via an apt upgrade.
    • Team:
      Agent
    • Story Points:
      2
    • Sprint:
      AP 2017-01-25
    • QA Risk Assessment:
      No Action
    • QA Risk Assessment Reason:
      Spikes and infra not risk-assessed

      Description

      Debian 9.0 has a distro package named puppet-agent which conflicts with our AIO puppet-agent package. Additionally, the distro version is derived from the version of puppet included in the agent, so the version of the distro package will be higher than our 1.9.0 AIO package. Some initial discussion with RelEng has led to the idea that enabling package pinning by default in our Debian 9 repo package may be a gross workaround we need to include in lieu of other options.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              scott.garman Scott Garman
              Reporter:
              scott.garman Scott Garman
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support